import tkhd from '../tkhd'

describe('tkhd box', () => {
  it('should get the tkhd box tree', () => {
    // prettier-ignore
    const tkhdBody = new Uint8Array([
      0x00, 0x00, 0x00, 0x03,  // version(0) + flags
      0x00, 0x00, 0x00, 0x00,  // creation_time
      0x00, 0x00, 0x00, 0x00,  // modification_time
      0x00, 0x00, 0x00, 0x01,  // track_ID: 4 bytes
      0x00, 0x00, 0x00, 0x00,  // reserved: 4 bytes
      0x00, 0x00, 0x27, 0x38,  // duration: 4 bytes
      0x00, 0x00, 0x00, 0x00,  // reserved: 2 * 4 bytes
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,  // layer(2bytes) + alternate_group(2bytes)
      0x00, 0x00, 0x00, 0x00,  // volume(2bytes) + reserved(2bytes)
      0x00, 0x01, 0x00, 0x00,  // ----begin composition matrix----
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x01, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x00, 0x00, 0x00, 0x00,
      0x40, 0x00, 0x00, 0x00,  // ----end composition matrix----
      0x01, 0x70, 0x00, 0x00,  // width
      0x02, 0x80, 0x00, 0x00,  // height
    ])

    expect(tkhd(tkhdBody)).toEqual({
      alternateGroup: 0,
      creationTime: 0,
      duration: 10040,
      flags: 3,
      height: 640,
      layer: 0,
      matrix: [65536, 0, 0, 0, 65536, 0, 0, 0, 1073741824],
      modificationTime: 0,
      trackID: 1,
      version: 0,
      volume: 0,
      width: 368,
    })
  })
})
